#!/bin/bash

source /etc/profile.d/modules.sh

module purge

module load netcdf4-python/1.5.3-foss-2015a-Python-3.7.3 \
    pandas/1.2.4-foss-2015a-Python-3.7.3 \
    xarray/0.17.0-foss-2015a-Python-3.7.3 \
    paramiko/2.7.2-foss-2015a-Python-3.7.3

set -vx
delay=10
if [ "$1" != "" ]; then
    sdat=$1
else
    sdat=$(date -d "-"${delay}"day" +%Y%m%d)
fi

echo "START DATE"
echo $sdat


if [ "$2" != "" ]; then
    edat=$2
else
    edat=$(date +%Y%m%d)
fi

python3 /esarchive/scratch/cmeikle/git_projects/ac-data-quality-assurance/scripts/quality_checks_icap_sdswas.py -s $sdat -e $edat

